## nom.tam.fits
Class A3DTableHDU

    java.lang.Object
      nom.tam.fits.BasicHDU
          nom.tam.fits.ExtensionHDU
              nom.tam.fits.TableHDU
                  nom.tam.fits.BinaryTableHDU
                      nom.tam.fits.A3DTableHDU

public class A3DTableHDU
extends BinaryTableHDU

FITS binary table header/data unit

Field Summary

Fields inherited from class nom.tam.fits.TableHDU
`columnStrings`

Fields inherited from class nom.tam.fits.BasicHDU
`BITPIX_BYTE, BITPIX_DOUBLE, BITPIX_FLOAT, BITPIX_INT, BITPIX_LONG, BITPIX_SHORT, myData, myHeader`

Constructor Summary
`A3DTableHDU(Header header)` Deprecated.

Method Summary
`boolean` `isHeader()` Check that this HDU has a valid header.
`static boolean` `isHeader(Header header)` Deprecated.

Methods inherited from class nom.tam.fits.BinaryTableHDU
`addColumn, addColumn, findColumn, getColumn, getColumn, getColumnFITSType, getColumnName, getNumColumns, getNumRows, getVarData, getVarData, info, makeVarColumn, makeVarColumn, makeVarColumn, manufactureData, setColumnStrings`

Methods inherited from class nom.tam.fits.TableHDU
`addColumnString, setLastMark`

Methods inherited from class nom.tam.fits.ExtensionHDU
`getExtensionLevel, getExtensionName, getExtensionType, getExtensionVersion`

Methods inherited from class nom.tam.fits.BasicHDU
`checkField, getAuthor, getAxes, getBitPix, getBlankValue, getBScale, getBUnit, getBZero, getCreationDate, getData, getEpoch, getEquinox, getGroupCount, getHeader, getInstrument, getMaximumValue, getMinimumValue, getObject, getObservationDate, getObserver, getOrigin, getParameterCount, getReference, getSize, getTelescope, getTrimmedString, readData, skipData, skipData, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### A3DTableHDU

    public A3DTableHDU(Header header)
                throws FitsException

  Deprecated.

  Create a binary table header/data unit.

Parameters:
  `header` - the template specifying the binary table.
Throws:
  `FitsException` - if there was a problem with the header.

Method Detail

### isHeader

    public static boolean isHeader(Header header)

  Deprecated.

  Check that this is a valid binary table header.

  Parameters:
    `header` - to validate.
  Returns:
    `true` if this is a binary table header.

### isHeader

    public boolean isHeader()

  Check that this HDU has a valid header.

  Overrides:
    `isHeader` in class `BinaryTableHDU`
  Returns:
    `true` if this HDU has a valid header.